com.smartgwt.client.util

## Class ConfigUtil

- java.lang.Object
- - com.smartgwt.client.util.ConfigUtil

-     public class ConfigUtil
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONFIG_PROPERTIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `debugInitialConfiguration(java.lang.Class callerClass, java.lang.String callerMethodName, java.lang.String configTypeName)`
    `static java.lang.String` | `getSimpleClassName(java.lang.Class targetClass)`
    `static void` | `setUseWarningsForConfigurationErrors(boolean useWarnings)` When set true, prevents IllegalStateException from being thrown when a configuration properties object is instantiated prior to being passed in to configure another object.
    `static void` | `warnOfPostConfigHandlerAdd(java.lang.Class callerClass, java.lang.String callerMethodName, java.lang.Class argumentType)`
    `static void` | `warnOfPostConfigInstantiation(java.lang.Class callerClass, java.lang.String callerMethodName, java.lang.String configTypeName)`
    `static void` | `warnOfPostConfigModification(java.lang.Class callerClass, java.lang.String callerMethodName, java.lang.String configTypeName)`
    `static void` | `warnOfPreConfigInstantiation(java.lang.Class callerClass, java.lang.String callerMethodName, java.lang.Class configClass)`
    `static void` | `warnOfPreConfigInstantiation(java.lang.Class callerClass, java.lang.String callerMethodName, java.lang.String configTypeName)`
    `static void` | `warnOfReconfiguration(java.lang.Class callerClass, java.lang.String callerMethodName, java.lang.String configTypeName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_PROPERTIES

          public static final java.lang.String CONFIG_PROPERTIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigUtil

          public ConfigUtil()

  - ### Method Detail

    - #### getSimpleClassName

          public static java.lang.String getSimpleClassName(java.lang.Class targetClass)

    - #### warnOfPreConfigInstantiation

          public static void warnOfPreConfigInstantiation(java.lang.Class callerClass,
                                                          java.lang.String callerMethodName,
                                                          java.lang.Class configClass)

    - #### warnOfPreConfigInstantiation

          public static void warnOfPreConfigInstantiation(java.lang.Class callerClass,
                                                          java.lang.String callerMethodName,
                                                          java.lang.String configTypeName)

    - #### warnOfPostConfigInstantiation

          public static void warnOfPostConfigInstantiation(java.lang.Class callerClass,
                                                           java.lang.String callerMethodName,
                                                           java.lang.String configTypeName)

    - #### warnOfPostConfigHandlerAdd

          public static void warnOfPostConfigHandlerAdd(java.lang.Class callerClass,
                                                        java.lang.String callerMethodName,
                                                        java.lang.Class argumentType)

    - #### warnOfPostConfigModification

          public static void warnOfPostConfigModification(java.lang.Class callerClass,
                                                          java.lang.String callerMethodName,
                                                          java.lang.String configTypeName)

    - #### warnOfReconfiguration

          public static void warnOfReconfiguration(java.lang.Class callerClass,
                                                   java.lang.String callerMethodName,
                                                   java.lang.String configTypeName)

    - #### debugInitialConfiguration

          public static void debugInitialConfiguration(java.lang.Class callerClass,
                                                       java.lang.String callerMethodName,
                                                       java.lang.String configTypeName)

    - #### setUseWarningsForConfigurationErrors

          public static void setUseWarningsForConfigurationErrors(boolean useWarnings)

      When set true, prevents IllegalStateException from being thrown when a configuration properties object is instantiated prior to being passed in to configure another object. A warning will be logged in this case instead of throwing an exception.
      Parameters:
        `useWarnings` - whether to report all config errors as warnings rather than exceptions